Subject: Re: linux-next: build failure after merge of the ieee1394 tree

From: "Takashi Sakamoto" <[email-masked]>
Date: Fri, 02 Feb 2024 10:04:12 +0900

Hi Stephen,

I'm sorry for the build failure. Indeed, It is my fault to merge
some fixes for v3.8-rc3 ahead. (I just checked merge conflict
between the issued commits...)

However, I'm out until next Tuesday. Let you cancel merging
ieee1394 tree in the next few days. I'm sorry to trouble you...

On Fri, Feb 2, 2024, at 09:16, Stephen Rothwell wrote:
> Hi all,
>
> After merging the ieee1394 tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
>
> drivers/firewire/core-device.c: In function 'show_text_leaf':
> drivers/firewire/core-device.c:369:48: error: 'bufsize' undeclared 
> (first use in this function); did you mean 'ksize'?
>   369 |                                                bufsize);
>       |                                                ^~~~~~~
>       |                                                ksize
>
> Caused by commit
>
>   67a5a58c0443 ("firewire: Kill unnecessary buf check in device_attribute.show")
>
> interacting with commit
>
>   47dc55181dcb ("firewire: core: search descriptor leaf just after 
> vendor directory entry in root directory")
>
> from Linus' tree (v6.8-rc2 - that the ieee1394 tree has just been rebased on
> top of).  I have dropped the ieee1394 tree for today.
>
> -- 
> Cheers,
> Stephen Rothwell